For the complete documentation index, see llms.txt. This page is also available as Markdown.

Trades History

Get futures trade history on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/private/trade/trades-history

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Query Parameters

Name
Type
Description
Example

symbol

STRING

Trading pair

BTCUSDT

settleCoin

STRING

Settlement coin

USDT

orderId

STRING

Order ID

1736254849204

orderLinkId

STRING

Client order ID

client-order-1

limit*

NUMERIC

Number of records to return. Range: 1 to 50

20

cursor

STRING

Cursor for paginated results

next-page-token

execType

STRING

Execution type filter

Trade

startTime

NUMERIC

Start time in milliseconds

1713542400000

endTime

NUMERIC

End time in milliseconds

1713628800000

limit is required.

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/private/trade/trades-history?symbol=BTCUSDT&limit=20&startTime=1713542400000&endTime=1713628800000" \
  -H "accept: application/json" \
  -H "X-TXC-APIKEY: <api-key>" \
  -H "X-TXC-PAYLOAD: <base64-payload>" \
  -H "X-TXC-SIGNATURE: <signature>"

Response parameters

response contains:

Name
Type
Description

nextPageCursor

STRING

Cursor for next page

category

STRING

Product category

list

ARRAY

Trade history records

Each item in list contains:

Name
Type
Description

symbol

STRING

Trading pair

orderType

STRING

Order type

underlyingPrice

STRING

Underlying price

orderLinkId

STRING

Client order ID

orderId

STRING

Order ID

stopOrderType

STRING

Stop order type

execTime

STRING

Execution time in milliseconds

feeCurrency

STRING

Fee currency

createType

STRING

Order creation source

execFeeV2

STRING

Execution fee amount

feeRate

STRING

Fee rate

tradeIv

STRING

Trade implied volatility

blockTradeId

STRING

Block trade ID

markPrice

STRING

Mark price

execPrice

STRING

Execution price

markIv

STRING

Mark implied volatility

orderQty

STRING

Order quantity

orderPrice

STRING

Order price

execValue

STRING

Execution value

closedSize

STRING

Closed size

execType

STRING

Execution type

seq

NUMERIC

Trade sequence number

side

STRING

Order side

indexPrice

STRING

Index price

leavesQty

STRING

Remaining quantity

isMaker

BOOLEAN

Maker flag

execFee

STRING

Execution fee

execId

STRING

Execution ID

marketUnit

STRING

Market unit

execQty

STRING

Executed quantity

extraFees

STRING

Extra fees

execFeeBase

STRING

Execution fee in base terms

baseCoin

STRING

Base coin

quoteCoin

STRING

Quote coin

priceScale

STRING

Price precision scale

Response example

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated